Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » IMP » errors in LEGHoverHelper.java
errors in LEGHoverHelper.java [message #490514] Thu, 08 October 2009 21:37 Go to next message
Bob Frankel is currently offline Bob Frankel
Messages: 8
Registered: July 2009
Junior Member
hi,

i just downloaded the latest release, synthesized all of the stock LEG
classes using the wizards, but ran into one compiler error that i can't
seem to resolve.... otherwise, everything else works just fine (under
Eclipse 3.5)....

specifically, the synthesized LEGHoverHelper.java class has a reference
to a getNodeLocator() method being applied to variable of type
IParserController; this class apparently has no such method.

there was a similar problem with a getParseStream() method being applied
to an IParser object; but a quick fix suggestion to use getIPrsStream()
at least resolved the compiler error....

bob

[FYI -- i'm a committer on the 'Real-Time Software Components' (RTSC)
project here at eclipse.org, and am exploring using IMP to generate
support for our component specification language; so far, IMP looks
quite promising -- not withstanding the aforemention compiler issues....
i'll no doubt have more questions, some of a broader nature once i
explore a little more....]
Re: errors in LEGHoverHelper.java [message #490516 is a reply to message #490514] Thu, 08 October 2009 21:50 Go to previous messageGo to next message
Bob Frankel is currently offline Bob Frankel
Messages: 8
Registered: July 2009
Junior Member
Bob Frankel wrote:
> hi,
>
> i just downloaded the latest release, synthesized all of the stock LEG
> classes using the wizards, but ran into one compiler error that i can't
> seem to resolve.... otherwise, everything else works just fine (under
> Eclipse 3.5)....
>
> specifically, the synthesized LEGHoverHelper.java class has a reference
> to a getNodeLocator() method being applied to variable of type
> IParserController; this class apparently has no such method.
>
> there was a similar problem with a getParseStream() method being applied
> to an IParser object; but a quick fix suggestion to use getIPrsStream()
> at least resolved the compiler error....
>
> bob
>
> [FYI -- i'm a committer on the 'Real-Time Software Components' (RTSC)
> project here at eclipse.org, and am exploring using IMP to generate
> support for our component specification language; so far, IMP looks
> quite promising -- not withstanding the aforemention compiler issues....
> i'll no doubt have more questions, some of a broader nature once i
> explore a little more....]

i noticed some recent commits a series of templates (dated 8-27-2009)
which shed some light on the fix; i need to use
getSourcPositionLocator() in lieu of getNodeLocator()

the bigger question, then, is why these changes didn't seem to be
reflected in the "latest" version of IMP i downloaded just yesterday....
Re: errors in LEGHoverHelper.java [message #490521 is a reply to message #490516] Thu, 08 October 2009 22:15 Go to previous messageGo to next message
Bob Frankel is currently offline Bob Frankel
Messages: 8
Registered: July 2009
Junior Member
Bob Frankel wrote:
> Bob Frankel wrote:
>> hi,
>>
>> i just downloaded the latest release, synthesized all of the stock LEG
>> classes using the wizards, but ran into one compiler error that i
>> can't seem to resolve.... otherwise, everything else works just fine
>> (under Eclipse 3.5)....
>>
>> specifically, the synthesized LEGHoverHelper.java class has a
>> reference to a getNodeLocator() method being applied to variable of
>> type IParserController; this class apparently has no such method.
>>
>> there was a similar problem with a getParseStream() method being
>> applied to an IParser object; but a quick fix suggestion to use
>> getIPrsStream() at least resolved the compiler error....
>>
>> bob
>>
>> [FYI -- i'm a committer on the 'Real-Time Software Components' (RTSC)
>> project here at eclipse.org, and am exploring using IMP to generate
>> support for our component specification language; so far, IMP looks
>> quite promising -- not withstanding the aforemention compiler issues....
>> i'll no doubt have more questions, some of a broader nature once i
>> explore a little more....]
>
> i noticed some recent commits a series of templates (dated 8-27-2009)
> which shed some light on the fix; i need to use
> getSourcPositionLocator() in lieu of getNodeLocator()
>
> the bigger question, then, is why these changes didn't seem to be
> reflected in the "latest" version of IMP i downloaded just yesterday....
>

indeed, recent changes to several of the templates did not make it into
the corresponding configuration/org.eclipse.osgi/bundles/.../templates
directory that the wizards implicitly reference....
Re: errors in LEGHoverHelper.java [message #491937 is a reply to message #490521] Fri, 16 October 2009 15:30 Go to previous message
Robert M. Fuhrer is currently offline Robert M. Fuhrer
Messages: 294
Registered: July 2009
Senior Member
Hi,

[Sorry for taking a few days to get to this; we've been up to our eyeballs
preparing for a few upcoming events.]

First, thanks for pointing this out.

You're right that getNodeLocator() was renamed to getSourcePositionLocator()
a few versions ago. And in the LPG runtime, getParseStream() was indeed
replaced by getIPrsStream() - the difference between the two mainly being
that the return type of the new method is an interface type rather than an
implementation base class.

As to why these changes didn't show up in the latest released templates,
I'm not sure precisely. Obviously a hiccup in our release process.

The next release will certainly have them.

Sorry for the confusion!

Bob Frankel wrote:
> Bob Frankel wrote:
>> Bob Frankel wrote:
>>> hi,
>>>
>>> i just downloaded the latest release, synthesized all of the stock
>>> LEG classes using the wizards, but ran into one compiler error that i
>>> can't seem to resolve.... otherwise, everything else works just fine
>>> (under Eclipse 3.5)....
>>>
>>> specifically, the synthesized LEGHoverHelper.java class has a
>>> reference to a getNodeLocator() method being applied to variable of
>>> type IParserController; this class apparently has no such method.
>>>
>>> there was a similar problem with a getParseStream() method being
>>> applied to an IParser object; but a quick fix suggestion to use
>>> getIPrsStream() at least resolved the compiler error....
>>>
>>> bob
>>>
>>> [FYI -- i'm a committer on the 'Real-Time Software Components' (RTSC)
>>> project here at eclipse.org, and am exploring using IMP to generate
>>> support for our component specification language; so far, IMP looks
>>> quite promising -- not withstanding the aforemention compiler issues....
>>> i'll no doubt have more questions, some of a broader nature once i
>>> explore a little more....]
>>
>> i noticed some recent commits a series of templates (dated 8-27-2009)
>> which shed some light on the fix; i need to use
>> getSourcPositionLocator() in lieu of getNodeLocator()
>>
>> the bigger question, then, is why these changes didn't seem to be
>> reflected in the "latest" version of IMP i downloaded just yesterday....
>>
>
> indeed, recent changes to several of the templates did not make it into
> the corresponding configuration/org.eclipse.osgi/bundles/.../templates
> directory that the wizards implicitly reference....


--
Cheers,
-- Bob

--------------------------------
Robert M. Fuhrer
Research Staff Member
Programming Technologies Dept.
IBM T.J. Watson Research Center

IDE Meta-tooling Platform Project Lead (http://www.eclipse.org/imp)
X10: Productive High-Performance Parallel Programming (http://x10.sf.net)
Re: errors in LEGHoverHelper.java [message #576770 is a reply to message #490514] Thu, 08 October 2009 21:50 Go to previous message
Bob Frankel is currently offline Bob Frankel
Messages: 8
Registered: July 2009
Junior Member
Bob Frankel wrote:
> hi,
>
> i just downloaded the latest release, synthesized all of the stock LEG
> classes using the wizards, but ran into one compiler error that i can't
> seem to resolve.... otherwise, everything else works just fine (under
> Eclipse 3.5)....
>
> specifically, the synthesized LEGHoverHelper.java class has a reference
> to a getNodeLocator() method being applied to variable of type
> IParserController; this class apparently has no such method.
>
> there was a similar problem with a getParseStream() method being applied
> to an IParser object; but a quick fix suggestion to use getIPrsStream()
> at least resolved the compiler error....
>
> bob
>
> [FYI -- i'm a committer on the 'Real-Time Software Components' (RTSC)
> project here at eclipse.org, and am exploring using IMP to generate
> support for our component specification language; so far, IMP looks
> quite promising -- not withstanding the aforemention compiler issues....
> i'll no doubt have more questions, some of a broader nature once i
> explore a little more....]

i noticed some recent commits a series of templates (dated 8-27-2009)
which shed some light on the fix; i need to use
getSourcPositionLocator() in lieu of getNodeLocator()

the bigger question, then, is why these changes didn't seem to be
reflected in the "latest" version of IMP i downloaded just yesterday....
Re: errors in LEGHoverHelper.java [message #576807 is a reply to message #490516] Thu, 08 October 2009 22:15 Go to previous message
Bob Frankel is currently offline Bob Frankel
Messages: 8
Registered: July 2009
Junior Member
Bob Frankel wrote:
> Bob Frankel wrote:
>> hi,
>>
>> i just downloaded the latest release, synthesized all of the stock LEG
>> classes using the wizards, but ran into one compiler error that i
>> can't seem to resolve.... otherwise, everything else works just fine
>> (under Eclipse 3.5)....
>>
>> specifically, the synthesized LEGHoverHelper.java class has a
>> reference to a getNodeLocator() method being applied to variable of
>> type IParserController; this class apparently has no such method.
>>
>> there was a similar problem with a getParseStream() method being
>> applied to an IParser object; but a quick fix suggestion to use
>> getIPrsStream() at least resolved the compiler error....
>>
>> bob
>>
>> [FYI -- i'm a committer on the 'Real-Time Software Components' (RTSC)
>> project here at eclipse.org, and am exploring using IMP to generate
>> support for our component specification language; so far, IMP looks
>> quite promising -- not withstanding the aforemention compiler issues....
>> i'll no doubt have more questions, some of a broader nature once i
>> explore a little more....]
>
> i noticed some recent commits a series of templates (dated 8-27-2009)
> which shed some light on the fix; i need to use
> getSourcPositionLocator() in lieu of getNodeLocator()
>
> the bigger question, then, is why these changes didn't seem to be
> reflected in the "latest" version of IMP i downloaded just yesterday....
>

indeed, recent changes to several of the templates did not make it into
the corresponding configuration/org.eclipse.osgi/bundles/.../templates
directory that the wizards implicitly reference....
Re: errors in LEGHoverHelper.java [message #576824 is a reply to message #490521] Fri, 16 October 2009 15:30 Go to previous message
Robert M. Fuhrer is currently offline Robert M. Fuhrer
Messages: 294
Registered: July 2009
Senior Member
Hi,

[Sorry for taking a few days to get to this; we've been up to our eyeballs
preparing for a few upcoming events.]

First, thanks for pointing this out.

You're right that getNodeLocator() was renamed to getSourcePositionLocator()
a few versions ago. And in the LPG runtime, getParseStream() was indeed
replaced by getIPrsStream() - the difference between the two mainly being
that the return type of the new method is an interface type rather than an
implementation base class.

As to why these changes didn't show up in the latest released templates,
I'm not sure precisely. Obviously a hiccup in our release process.

The next release will certainly have them.

Sorry for the confusion!

Bob Frankel wrote:
> Bob Frankel wrote:
>> Bob Frankel wrote:
>>> hi,
>>>
>>> i just downloaded the latest release, synthesized all of the stock
>>> LEG classes using the wizards, but ran into one compiler error that i
>>> can't seem to resolve.... otherwise, everything else works just fine
>>> (under Eclipse 3.5)....
>>>
>>> specifically, the synthesized LEGHoverHelper.java class has a
>>> reference to a getNodeLocator() method being applied to variable of
>>> type IParserController; this class apparently has no such method.
>>>
>>> there was a similar problem with a getParseStream() method being
>>> applied to an IParser object; but a quick fix suggestion to use
>>> getIPrsStream() at least resolved the compiler error....
>>>
>>> bob
>>>
>>> [FYI -- i'm a committer on the 'Real-Time Software Components' (RTSC)
>>> project here at eclipse.org, and am exploring using IMP to generate
>>> support for our component specification language; so far, IMP looks
>>> quite promising -- not withstanding the aforemention compiler issues....
>>> i'll no doubt have more questions, some of a broader nature once i
>>> explore a little more....]
>>
>> i noticed some recent commits a series of templates (dated 8-27-2009)
>> which shed some light on the fix; i need to use
>> getSourcPositionLocator() in lieu of getNodeLocator()
>>
>> the bigger question, then, is why these changes didn't seem to be
>> reflected in the "latest" version of IMP i downloaded just yesterday....
>>
>
> indeed, recent changes to several of the templates did not make it into
> the corresponding configuration/org.eclipse.osgi/bundles/.../templates
> directory that the wizards implicitly reference....


--
Cheers,
-- Bob

--------------------------------
Robert M. Fuhrer
Research Staff Member
Programming Technologies Dept.
IBM T.J. Watson Research Center

IDE Meta-tooling Platform Project Lead (http://www.eclipse.org/imp)
X10: Productive High-Performance Parallel Programming (http://x10.sf.net)
Previous Topic:errors in LEGHoverHelper.java
Next Topic:contentProposer on current writing
Goto Forum:
  


Current Time: Tue Sep 23 20:38:15 GMT 2014

Powered by FUDForum. Page generated in 0.02310 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software